.form-control[disabled][readonly] {
    color: black;
    background-color: white;
}

.form-check-input[disabled][readonly] {
    opacity: 1;
}

.form-check-input[disabled][readonly]~.form-check-label {
    opacity: 1;
}

.form-check-input:checked+label, .form-check-input:checked+span {
    color: #000000;
}

select[readonly].select2-hidden-accessible + .select2-container {
    pointer-events: none;
    touch-action: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
    background: #ffffff;
    box-shadow: none;
}

select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow, select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
    display: none;
}

input[readonly][type='radio']{
    pointer-events: none;
    touch-action: none;
}